All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
stride.hpp File Reference

Determines row and column increments for matrices and matrix proxies. More...

`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/meta/result_of.hpp"`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::traits
| Namespace providing traits-information as well as generic wrappers to common routines for vectors and matrices such as size() or clear()

## Functions

template<typename T >
result_of::size_type < viennacl::vector_base< T > >::type | viennacl::traits::stride (viennacl::vector_base< T > const &s)
template<typename NumericT >
result_of::size_type < matrix_base< NumericT > >::type | viennacl::traits::stride1 (matrix_base< NumericT > const &s)
template<typename NumericT >
result_of::size_type < matrix_base< NumericT > >::type | viennacl::traits::stride2 (matrix_base< NumericT > const &s)

## Detailed Description

Determines row and column increments for matrices and matrix proxies.

Definition in file stride.hpp.